!
!
!  Ce module permet de choisir quels package on veut utiliser
!
!
!

MODULE MODULE_CHOIX

!--------------Lecture topo ------------------------
use lect_topo_heino      ! pour Heino
! use lect_topo_anteis    ! pour l'antarctique 40 km
!use lect_topo_nord40    ! pour l'hemisphere nord 40 km
!use lect_topo_eurasie   ! pour l'eurasie  (toute resolutions)

!--------------Lecture climat ref ------------------
! use lect_clim_act_anteis
!use lect_clim_act_nord40 ! pour l'hemisphere nord et l'eurasie
use  climat_heino

!--------------Lecture climat forcage---------------

! use CLIMAT_PERTURB_MOD
!USE CLIMAT_FORCAGE_MOD
!USE CLIMAT_SYNTHES_MOD
!USE CLIMAT_PROFIL_MOD

!--------------Choix isostasie----------------------
!USE ISOSTASIE_MOD  ! module permettant de calculer la deflexion isostasique
USE NOISOSTASIE_MOD ! module pour ne pas avoir d'isostasie


!--------------Module Physique---------------------
USE DEFORMATION_MOD  ! module concernant les lois de deformation

!--------------Module propritete thermique de la glace
use prop_therm_ice_heino


! eau basale
use eau_basale

! sliding- dragging ------------------------------
! use module sliding_vitbal
! use sliding_Bindschadler
use sliding_dragging_heino    ! loi de glissement heino : mis dans diffusiv : 

!use dragging_vitbil
!use dragging_hwatstream

use eq_elliptique_mod! module concernant l'eq. elliptique (pour les shelves)

! calving
use calving_vincent

! choix resolution de la conservation de la masse
!-----------------------------------------------
use equat_adv_diff_2D          ! conservation masse avec advection-diffusion


!--------------Fusion basale------------------------
! USE BMELT_ANT_REGIONS ! pour l'Antarctique avec rgions
!USE BMELT_NOR_REGIONS ! pour l'Antarctique avec rgions

! fake -------fausses routines pour compatibilits
use fake_heino

!-------------- Outputs-----------------------------
!
use out_profile  !profils
!use out_cptr     ! fichier de reprise 
use out_hz       ! module de sorties snapshot dans un plan horizontal

!-----Suivi temporel
! USE OUTPUT_HEMINORD_MOD
!  USE OUTPUT_ANTARCTI_MOD
use output_heino
!-----debugage...
use printtable


end module module_choix
