!---------------------------------------------------------------------------------------
subroutine step_output


  USE module3D_phy
  USE module_choix ! module de choix du type de run
  !  module_choix donne acces a tous les modules
  !  de declaration des packages
  use flottab_mod
  use interface_icetempmod
  use sorties_ncdf_grisli
  use diagno_mod 
  use track_debug 

  implicit none


  close(num_templin)
  write(6,*)'sorties finales time=', time

  call testsort_time(tend)
  call sortie_hz_multi   ! pour les variables déclarées dans 3D
  call hz_output(tend)

  call testsort_time_ncdf(tend)

  if (iglob_ncdf .EQ. 1) call sortie_ncdf_cat

  ! call SORTIEPROFILE

  !  call SORTIEPROFILE
  call sortiecptr
  call lastoutput

  if ((geoplace.eq.'anteis1').or.(geoplace.eq.'ant20km')) then
     call ts_out()
     close(num_ts_ritz)

     call sealevel_out
     close(num_sealevel)
  endif


  close(num_ts_ritz)
  close(num_ic_vo)
  close(num_ic_by)
  close(num_ic_dm)
  close(num_ic_dc)
  close(num_ic_df)
  close(num_sealevel)

  CALL write_trace('%%%%%%%% THE END... %%%%%%%%%%')
940 format('%%%% ',a,'   time=',f8.0,' %%%%')


  return
end subroutine step_output
