!> \file tracebug.f90
!! Impression d'une chaine de charactere 
!<
      
!> SUBROUTINE: tracebug
!! Imprime une chaine de carctere 
!! \author ...
!! \date 04/08/2010
!! @param  chaine: la chaine de charactere a imprimer
!! @note Used modules:
!! @note  - use module3D_phy
!! @note  - use module_choix
!>



subroutine tracebug(chaine)

  use module3D_phy
  use module_choix

  implicit none 

  character(len=*),intent(in):: chaine ! chaine a imprimer

i=5
j=5

write(num_tracebug,*) chaine

!  write(num_tracebug,901) chaine,i,j,mk_init(i,j),S(i,j),H(i,j),Bsoc(i,j),B(i,j),pvi(i,j),pvm(i,j)
901   format(A50,' S0,S,H0,H,B0,B   ',3(i0,1x),2x, 4(f0.1,1x),2(es12.4,1x) )

! write(num_tracebug,898) chaine,i,j,ibase(i,j),mstream_mx(i,j), betamx(i,j), uxflgz(i,j), gzmx(i,j),ok_umat(i,j)
898   format(A50,' ibase, mstream,betamx,drag_mx    ',4(i0,1x),3x, 2(es12.4,1x), 2x,2(l5,1x))

!  write(num_tracebug,896) chaine,i,j,Uxbar(i-1:i+1,j),Uxflgz(i-1:i+1,j),Uxbar(i-1:i+1,j)-Uxflgz(i-1:i+1,j),Hdot(i,j),dt 
896   format(A50,'  i,j,Uxbar,Uxflgz,Uxdef ', 2(i0,1x),8(f0.3,1x))

!  write(num_tracebug+1,897) chaine, eps(i,j), pvi(i,j),Hdot(i-1:i+1,j),betamx(i,j)
897   format(A50,' eps,pvi,Hdot,beta ', 6(es12.4,1x))



! (195,154) un point ile
! (30,253)
!  write(num_tracebug,889) chaine,i,j,S(i,j),H(i,j),Bsoc(i,j),Hp(i,j),Mk_init(i,j),i_hp(i,j)
! write(num_tracebug,895) chaine, i,j,i_HP(i,j),i_Hp0(i,j),Hp(i,j),Hp0(i,j),H(i,j)

!write(num_tracebug,894) chaine,i,j,H(i,j),uxbar(i,j),uxbar(i+1,j),pvi(i,j),eps(i,j)

!write(num_tracebug,*) flotmx(i-1:i+5,j),'     ',flot(i-1:i+5,j)


!  write(num_tracebug,887) chaine, ispinup,iter_beta 
!  write(num_tracebug,891) chaine,Vcol_x(i,j),Vsl_x(i,j),uxbar(i,j),ubx(i,j),uxdef(i,j),betamx(i,j)
!  write(num_tracebug,880) chaine

! write(num_tracebug,*) chaine,'xmin,ymin',xmin,ymin

! S(30,253),S(178,121) 1 point ile + 1 point shelf
  
887   format(A50,'  ispinup =',i0,'    iter_beta =',i0)
888   format(A50,'    S(30,253)) = ',f0.3, '    S(178,121) = ',f0.3)
889   format(A50,'  SHBMk de ', 2(i0,1x),': '4(f0.3,1x),2(i0,1x))
890   format(A50,'  S Ux Uy ', 2(i0,1x),': '6(f0.3,1x))
891   format(A50,'  uxbal Vsl Ux uxb uxdef beta : '6(f0.2,1x))
892   format(A50,'  Uxbar ', 2(i0,1x),': '(f0.3,1x))
893   format(A50,'  betamx, drag_mx, beta_c  ', 2(i0,1x),': '4(f0.3,1x))
894   format(A50,'  H, Uxbar, pvi,epsxx,eps    ', 2(i0,1x),': '3(f0.2,1x),2(es12.4,1x) )
895   format(A50,'  i,j,ihp,ihp0,hp,hp0,h   ', 4(i0,1x),': '3(f0.2,1x) )
end subroutine tracebug
